using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoulCollision : MonoBehaviour
{
    public AudioClip collect;

    void OnTriggerEnter2D(Collider2D other)
    {
        if (other.gameObject.tag == "Player")
        {
            AudioSource.PlayClipAtPoint(collect, Camera.main.transform.position);
            GameObject.Find("Game Manager").GetComponent<GameManager>().currency++;
            Destroy(gameObject);
        }
    }
}
